These patches enables two things:
 1. Display of /mnt/ mountpoints in UI
 2. Enable launch_default_uri without the need for GVFS (but will still work if GVFS is installed)
They originally came from Jemimah, here, http://www.murga-linux.com/puppy/viewtopic.php?p=617273#617273
suitably modified for use here.

diff -ur glib-2.36.3-old/gio/gappinfo.c glib-2.36.3/gio/gappinfo.c
--- glib-2.36.3-old/gio/gappinfo.c	2013-06-03 06:20:49.000000000 +0700
+++ glib-2.36.3/gio/gappinfo.c	2014-01-30 00:58:21.435598162 +0700
@@ -704,8 +704,14 @@
       file = g_file_new_for_uri (uri);
       app_info = g_file_query_default_handler (file, NULL, error);
       g_object_unref (file);
-      if (app_info == NULL)
-	return FALSE;
+      if (app_info == NULL) { // technosaurus-modified jemimah's patch
+		gchar *quoted_uri = g_shell_quote(uri);
+		gchar *cmd = g_strdup_printf ("xdg-open %s", quoted_uri); 
+		g_spawn_command_line_async(cmd, NULL);
+		g_free (cmd);
+		g_free (quoted_uri); 
+		return TRUE;
+      }
 
       /* We still use the original @uri rather than calling
        * g_file_get_uri(), because GFile might have modified the URI
diff -ur glib-2.36.3-old/gio/gunixmounts.c glib-2.36.3/gio/gunixmounts.c
--- glib-2.36.3-old/gio/gunixmounts.c	2013-06-10 05:03:17.000000000 +0700
+++ glib-2.36.3/gio/gunixmounts.c	2014-01-30 01:04:45.398903721 +0700
@@ -2128,7 +2128,8 @@
           mount_path[sizeof ("/run/media/") - 1 + user_name_len] == '/')
         is_in_runtime_dir = TRUE;
 
-      if (is_in_runtime_dir || g_str_has_prefix (mount_path, "/media/"))
+      if (is_in_runtime_dir || g_str_has_prefix (mount_path, "/media/") ||
+          g_str_has_prefix (mount_path, "/mnt/")) /* jemimah's patch */
         {
           char *path;
           /* Avoid displaying mounts that are not accessible to the user.
@@ -2138,7 +2139,7 @@
            * block or fail stat()'ing, such as network mounts.
            */
           path = g_path_get_dirname (mount_path);
-          if (g_str_has_prefix (path, "/media/"))
+          if (g_str_has_prefix (path, "/media/") || g_str_has_prefix (path, "/mnt/")) /* jemimah's patch */
             {
               if (g_access (path, R_OK|X_OK) != 0) 
                 {
